/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#include "ArSessionArCore.h"

namespace OpenVulkano::AR::ArCore
{
	std::shared_ptr<ArSession> ArSessionArCore::Create(const ArSessionConfig& config)
	{
		return nullptr; // TODO
	}

	bool ArSessionArCore::IsAvailable()
	{
		return false;
	}

	const ArSessionCapabilities& ArSessionArCore::GetCapabilities()
	{
		static ArSessionCapabilities capabilities; // TODO setup
		return capabilities;
	}
}